Debian Bug report logs - #500419
isight-firmware-tools: README.Debian doesn't make sense

version graph

Package: isight-firmware-tools; Maintainer for isight-firmware-tools is Debian Mactel <pkg-mactel-devel@lists.alioth.debian.org>; Source for isight-firmware-tools is src:isight-firmware-tools.

Reported by: Junichi Uekawa <dancer@netfort.gr.jp>

Date: Sun, 28 Sep 2008 01:39:02 UTC

Severity: serious

Found in version isight-firmware-tools/1.2-3

Fixed in version isight-firmware-tools/1.2-5

Done: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Junichi Uekawa <dancer@debian.org>, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug#500419; Package isight-firmware-tools. (Sun, 28 Sep 2008 01:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
New Bug report received and forwarded. Copy sent to Junichi Uekawa <dancer@debian.org>, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>. (Sun, 28 Sep 2008 01:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: isight-firmware-tools: README.Debian doesn't make sense
Date: Sat, 27 Sep 2008 18:36:32 -0700
Package: isight-firmware-tools
Version: 1.2-3
Severity: normal

Hi,

I've done 

 1. firmware

which I can check with 

$ LC_ALL=C ls -l /lib/firmware/
total 12
-rw-r--r-- 1 root root 9479 Sep 27 18:25 isight.fw

 2. hal

The explanation does not make any sense.

    sudo ift-load -f /lib/firmware/isight.fw

ift-load doesn't exist.




-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=ja_JP.eucJP, LC_CTYPE=ja_JP.eucJP (charmap=EUC-JP) (ignored: LC_ALL set to ja_JP.eucJP)
Shell: /bin/sh linked to /bin/bash

Versions of packages isight-firmware-tools depends on:
ii  debconf [debconf-2.0]        1.5.23      Debian configuration management sy
ii  hal                          0.5.11-3    Hardware Abstraction Layer
ii  libc6                        2.7-13      GNU C Library: Shared libraries
ii  libdbus-1-3                  1.2.1-3     simple interprocess messaging syst
ii  libgcrypt11                  1.4.1-1     LGPL Crypto library - runtime libr
ii  libglib2.0-0                 2.16.5-1    The GLib library of C routines
ii  libhal1                      0.5.11-3    Hardware Abstraction Layer - share
ii  libusb-0.1-4                 2:0.1.12-13 userspace USB programming library

isight-firmware-tools recommends no packages.

isight-firmware-tools suggests no packages.

-- debconf information:
* isight-firmware-tools/extract: true
* isight-firmware-tools/driver-location: /MacOSX/System/Library/Extensions/IOUSBFamily.kext/Contents/PlugIns/AppleUSBV/home/dancer/AppleUSBVideoSupport




Information forwarded to debian-bugs-dist@lists.debian.org, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug#500419; Package isight-firmware-tools. (Sun, 28 Sep 2008 01:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>. (Sun, 28 Sep 2008 01:57:02 GMT) Full text and rfc822 format available.

Message #10 received at 500419@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: 500419@bugs.debian.org
Subject: isight-firmware-tools does not work on my system ... boo hoo.
Date: Sat, 27 Sep 2008 18:56:03 -0700

$ sha1sum /lib/firmware/isight.fw /home/dancer/AppleUSBVideoSupport
6b0406428978ebafdfbda53709680c25b586ad71  /lib/firmware/isight.fw
86430c04f9b67c5c3d84409138a7679827025ec2  /home/dancer/AppleUSBVideoSupport
$ lsusb
Bus 005 Device 003: ID 05ac:8300 Apple, Inc. Built-in iSight (no firmware loaded)
Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 004: ID 05ac:0217 Apple, Inc. 
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 020: ID 05ac:1000 Apple, Inc. Bluetooth HCI MacBookPro (HID mode)
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 05ac:8240 Apple, Inc. IR Receiver [build-in]
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub


What would be a good way to debug this problem?





Information forwarded to debian-bugs-dist@lists.debian.org, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug#500419; Package isight-firmware-tools. (Fri, 31 Oct 2008 13:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>. (Fri, 31 Oct 2008 13:24:02 GMT) Full text and rfc822 format available.

Message #15 received at 500419@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: 500419@bugs.debian.org, control@bugs.debian.org
Subject: isight-firmware-tools does not work with older firmware
Date: Fri, 31 Oct 2008 22:21:39 +0900
severity 500419 serious
thanks

Hi, 

isight-firmware-tools does not work with older version of isight
firmware.  Please document that the firmware which used to work with
original linux-uvc-tools package macbook-isight-firmware-loader does
not work.


$ md5sum AppleUSBVideoSupport # old firmware from initial MacOSX
df78af64eba0c293891ae3bc3082a771  AppleUSBVideoSupport
$ md5sum AppleUSBVideoSupport.2nd-macbook # later release of firmware
8b78709d02d3584f40cc041db9eecfe8  AppleUSBVideoSupport.2nd-macbook



regards,
	junichi
-- 
dancer@{netfort.gr.jp,debian.org}




Severity set to `serious' from `normal' Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. (Fri, 31 Oct 2008 13:24:03 GMT) Full text and rfc822 format available.

Reply sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
You have taken responsibility. (Wed, 05 Nov 2008 04:51:03 GMT) Full text and rfc822 format available.

Notification sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Bug acknowledged by developer. (Wed, 05 Nov 2008 04:51:03 GMT) Full text and rfc822 format available.

Message #22 received at 500419-close@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: 500419-close@bugs.debian.org
Subject: Bug#500419: fixed in isight-firmware-tools 1.2-5
Date: Wed, 05 Nov 2008 04:32:05 +0000
Source: isight-firmware-tools
Source-Version: 1.2-5

We believe that the bug you reported is fixed in the latest version of
isight-firmware-tools, which is due to be installed in the Debian FTP archive:

isight-firmware-tools_1.2-5.diff.gz
  to pool/contrib/i/isight-firmware-tools/isight-firmware-tools_1.2-5.diff.gz
isight-firmware-tools_1.2-5.dsc
  to pool/contrib/i/isight-firmware-tools/isight-firmware-tools_1.2-5.dsc
isight-firmware-tools_1.2-5_i386.deb
  to pool/contrib/i/isight-firmware-tools/isight-firmware-tools_1.2-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 500419@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nobuhiro Iwamatsu <iwamatsu@nigauri.org> (supplier of updated isight-firmware-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 05 Nov 2008 13:12:49 +0900
Source: isight-firmware-tools
Binary: isight-firmware-tools
Architecture: source i386
Version: 1.2-5
Distribution: unstable
Urgency: low
Maintainer: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Changed-By: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Description: 
 isight-firmware-tools - Built-in Apple iSight Firmware Tools
Closes: 500419 504101
Changes: 
 isight-firmware-tools (1.2-5) unstable; urgency=low
 .
   * Update debian/README.Debian
   * Disable first macbook firmware. (Closes: #500419)
   * Update debian/config and debian/postinst. (Closes: #504101)
     When a file was not effective and failed in extraction,
     revised it to display a message.
   * Updated Japanese debconf templates.
Checksums-Sha1: 
 aeb6d0d19ba3756e871c5f793d0a224541d547c8 1189 isight-firmware-tools_1.2-5.dsc
 3ea2e5937870324a1cdf1c748e45c46fb3003f5c 12342 isight-firmware-tools_1.2-5.diff.gz
 daf3122073a762fdc3298714b37ef1feaecf1f66 30860 isight-firmware-tools_1.2-5_i386.deb
Checksums-Sha256: 
 88039c6ec4b9e994fc5fedcc8047b6eab3363cef466378bd9228cadb840edcff 1189 isight-firmware-tools_1.2-5.dsc
 06daaa0a9abe88816e0a7f305d99607bcf5ce5609db5a3bfb0cf85487c90dba8 12342 isight-firmware-tools_1.2-5.diff.gz
 51e75e9451e128f4be1b34ff3e1d19456a5fb183cb6872ffd2d999e64fce9d42 30860 isight-firmware-tools_1.2-5_i386.deb
Files: 
 ddc0696191ed3c17207d1e1a460f2ea6 1189 contrib/graphics extra isight-firmware-tools_1.2-5.dsc
 e7affed95ab93d3877683ee7bb3df84b 12342 contrib/graphics extra isight-firmware-tools_1.2-5.diff.gz
 cca971e886af67f0ee1823e5cc8973d0 30860 contrib/graphics extra isight-firmware-tools_1.2-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEUEARECAAYFAkkRHjQACgkQQSHHQzFw6+kIfACfdsaT3YI1CV6xcR8S4GJ1S4+b
UbQAmPLk3JhvJ8HadFtBdMStGlIZzGY=
=msy4
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug#500419; Package isight-firmware-tools. (Fri, 05 Dec 2008 03:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nobuhiro Iwamatsu" <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>. (Fri, 05 Dec 2008 03:51:02 GMT) Full text and rfc822 format available.

Message #27 received at 500419@bugs.debian.org (full text, mbox):

From: "Nobuhiro Iwamatsu" <iwamatsu@nigauri.org>
To: debian-release@lists.debian.org
Cc: 504101@bugs.debian.org, 500419@bugs.debian.org
Subject: Please unblock isight-firmware-tools
Date: Fri, 5 Dec 2008 12:49:01 +0900
Hi,

I just uploaded version 1.2-7 of isight-firmware-tools.

It fiexes the problem that an error was not output to be similar
 when there was a problem on a pass of the firmware and README.Debian
was too old.[0][1]
And I updated po-debconf because debconf template changed by fixing
this problem.

Please unblock this package.

Best regards,
 Nobuhiro

[0]: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504101
[1]: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500419
-- 
Nobuhiro Iwamatsu




Information forwarded to debian-bugs-dist@lists.debian.org, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug#500419; Package isight-firmware-tools. (Tue, 09 Dec 2008 19:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>. (Tue, 09 Dec 2008 19:06:02 GMT) Full text and rfc822 format available.

Message #32 received at 500419@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Cc: debian-release@lists.debian.org, 504101@bugs.debian.org, 500419@bugs.debian.org
Subject: Re: Please unblock isight-firmware-tools
Date: Tue, 09 Dec 2008 20:04:03 +0100
Nobuhiro Iwamatsu wrote:
> Hi,
> 
> I just uploaded version 1.2-7 of isight-firmware-tools.
> 
> It fiexes the problem that an error was not output to be similar
>  when there was a problem on a pass of the firmware and README.Debian
> was too old.[0][1]
> And I updated po-debconf because debconf template changed by fixing
> this problem.
> 
> Please unblock this package.

unblocked in the meantime.

Cheers

Luk




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Jan 2009 07:27:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:52:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.